🚧 [Experimental] Get QL chart
Returns the specified QL chart.
Request
POST
https://api.datalens.tech/rpc/getQLChart
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
|
x-dl-audit-mode |
Type: string Const: Example: `` |
Body
application/json
{
"chartId": "example",
"workbookId": "example",
"revId": "example",
"includePermissions": true,
"includeLinks": true,
"includeFavorite": true,
"branch": "saved"
}
|
Name |
Description |
|
chartId |
Type: string ID of the QL chart to return. You can find it in the chart settings in DataLens interface. Example: |
|
branch |
Type: EntryBranch Entry branch: saved or published. Enum: |
|
includeFavorite |
Type: boolean Include favorite status in the response. |
|
includeLinks |
Type: boolean Include information on configured links in the response. |
|
includePermissions |
Type: boolean Include information on configured permissions in the response. |
|
revId |
Type: string Version ID for the QL chart. Example: |
|
workbookId |
Type: string | null ID of the workbook the QL chart belongs to. If navigation across folders is enabled and the QL chart belongs to a folder, the value must be Example: |
EntryBranch
Entry branch: saved or published.
Type: string
Enum: saved, published
Responses
200 OK
Response
Body
application/json
null
Type: unknown